summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2011-12-01 10:22:00 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2011-12-01 10:22:00 +0000
commitc8a0c7a38234a75ef08b253c757761d9bf061342 (patch)
tree7cafb670640f1f19d85e909b3cba932a37306074 /check
parent916bec4e534616e9217c83750e4ea75cdfab79fb (diff)
downloadmorph-c8a0c7a38234a75ef08b253c757761d9bf061342.tar.gz
add script to run test suite
Diffstat (limited to 'check')
-rwxr-xr-xcheck23
1 files changed, 23 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 00000000..d2513696
--- /dev/null
+++ b/check
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Run test suite for morph.
+#
+# Copyright (C) 2011 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+python setup.py clean check
+$HOME/cmdtest/cmdtest/cmdtest -c ./morph tests